QwtSymbol(3)

NAME
QwtSymbol -

SYNOPSIS

Detailed Description

A class for drawing symbols.

Definition at line 22 of file qwt_symbol.h.

  Public Types
enum Style { None, Ellipse, Rect, Diamond, Triangle, DTriangle, UTriangle, LTriangle, RTriangle, Cross, XCross, StyleCnt }

  Public Member Functions
QwtSymbol ()
QwtSymbol (Style st, const QBrush &bd, const QPen &pn, const QSize &s)
virtual ~QwtSymbol ()
bool operator!= (const QwtSymbol &) const
bool operator== (const QwtSymbol &) const
void setSize (const QSize &s)
void setSize (int a, int b=-1)
void setBrush (const QBrush &b)
void setPen (const QPen &p)
void setStyle (Style s)
const QBrush & brush () const
const QPen & pen () const
const QSize & size () const
Style style () const
void draw (QPainter *p, const QPoint &pt) const
void draw (QPainter *p, int x, int y) const
virtual void draw (QPainter *p, const QRect &r) const

Member Enumeration Documentation

  enum QwtSymbol::Style

Style

See also:
    QwtSymbol::setStyle, QwtSymbol::style

Definition at line 29 of file qwt_symbol.h.

Constructor & Destructor Documentation

  QwtSymbol::QwtSymbol ()

Default Constructor

The symbol is constructed with gray interior, black outline with zero width, no size and style 'None'. Definition at line 22 of file qwt_symbol.cpp.

  QwtSymbol::QwtSymbol (QwtSymbol::Style style, const QBrush & brush, const QPen & pen, const QSize & size)

Constructor.

Parameters:
    style Symbol Style
    brush brush to fill the interior
    pen outline pen
    size size

Definition at line 37 of file qwt_symbol.cpp.

  QwtSymbol::~QwtSymbol () [virtual]

Destructor.

Definition at line 47 of file qwt_symbol.cpp.

Member Function Documentation

  const QBrush& QwtSymbol::brush () const

Return Brush.

Definition at line 47 of file qwt_symbol.h.

Referenced by QwtPlotPrintFilter::apply(), QwtLegendItem::drawIdentifier(), QwtCurve::drawSymbols(), operator==(), and QwtPlotPrintFilter::reset().

  void QwtSymbol::draw (QPainter * painter, const QRect & r) const [virtual]

Draw the symbol into a bounding rectangle.

This function assumes that the painter has been initialized with brush and pen before. This allows a much more performant implementation when painting many symbols with the same brush and pen like in curves.

Parameters:
    painter Painter
    r Bounding rectangle

Definition at line 116 of file qwt_symbol.cpp.

References QwtPainter::drawEllipse(), QwtPainter::drawLine(), QwtPainter::drawPolygon(), and QwtPainter::drawRect().

  void QwtSymbol::draw (QPainter * painter, int x, int y) const

Draw the symbol at a point (x,y).

Definition at line 100 of file qwt_symbol.cpp.

References draw().

  void QwtSymbol::draw (QPainter * painter, const QPoint & pos) const

Draw the symbol at a specified point.

Parameters:
    painter Painter
    pos Center of the symbol

Definition at line 198 of file qwt_symbol.cpp.

Referenced by draw(), QwtMarker::draw(), QwtLegendItem::drawIdentifier(), and QwtCurve::drawSymbols().

  bool QwtSymbol::operator!= (const QwtSymbol &) const

!= operator

Definition at line 240 of file qwt_symbol.cpp.

  bool QwtSymbol::operator== (const QwtSymbol &) const

== operator

Definition at line 233 of file qwt_symbol.cpp.

References brush(), pen(), size(), and style().

  const QPen& QwtSymbol::pen () const

Return Pen.

Definition at line 49 of file qwt_symbol.h.

Referenced by QwtPlotPrintFilter::apply(), QwtLegendItem::drawIdentifier(), QwtCurve::drawSymbols(), operator==(), and QwtPlotPrintFilter::reset().

  void QwtSymbol::setBrush (const QBrush & br)

Assign a brush.

The brush is used to draw the interior of the symbol.

Parameters:
    br brush

Definition at line 80 of file qwt_symbol.cpp.

Referenced by QwtPlotPrintFilter::apply(), and QwtPlotPrintFilter::reset().

  void QwtSymbol::setPen (const QPen & pn)

Assign a pen.

The pen is used to draw the symbol's outline.

Parameters:
    pn pen

Definition at line 92 of file qwt_symbol.cpp.

Referenced by QwtPlotPrintFilter::apply(), and QwtPlotPrintFilter::reset().

  void QwtSymbol::setSize (int w, int h = -1)

Specify the symbol's size.

If the 'h' parameter is left out or less than 0, and the 'w' parameter is greater than or equal to 0, the symbol size will be set to (w,w).

Parameters:
    w width
    h height (defaults to -1)

Definition at line 60 of file qwt_symbol.cpp.

  void QwtSymbol::setSize (const QSize & s)

Set the symbol's size.

Definition at line 68 of file qwt_symbol.cpp.

  void QwtSymbol::setStyle (QwtSymbol::Style s)

Specify the symbol style.

The following styles are defined:

QwtSymbol::None<dd>No Style. The symbol cannot be drawn.

QwtSymbol::Ellipse<dd>Ellipse or circle

QwtSymbol::Rect<dd>Rectangle

QwtSymbol::Diamond<dd>Diamond

QwtSymbol::Triangle<dd>Triangle pointing upwards

QwtSymbol::DTriangle<dd>Triangle pointing downwards

QwtSymbol::UTriangle<dd>Triangle pointing upwards

QwtSymbol::LTriangle<dd>Triangle pointing left

QwtSymbol::RTriangle<dd>Triangle pointing right

QwtSymbol::Cross<dd>Cross

QwtSymbol::XCross<dd>Diagonal cross

Parameters:
    s style

Definition at line 227 of file qwt_symbol.cpp.

  const QSize& QwtSymbol::size () const

Return Size.

Definition at line 51 of file qwt_symbol.h.

Referenced by QwtMarker::draw(), QwtLegendItem::drawIdentifier(), QwtCurve::drawSymbols(), and operator==().

  Style QwtSymbol::style () const

Return Style.

Definition at line 53 of file qwt_symbol.h.

Referenced by QwtPlot::closestMarker(), QwtMarker::draw(), QwtCurve::draw(), QwtLegendItem::drawIdentifier(), operator==(), and QwtPlot::updateLegendItem().

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.